Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class SVGConverterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.batik.apps.rasterizer.SVGConverterException

All Implemented Interfaces:
  Serializable

    public class SVGConverterException

extends Exception

Describes an error condition in `SVGConverter`

See Also:
  Serialized Form

Field Summary
`protected String` | `errorCode` Error code
`protected Object[]` | `errorInfo` Additional information about the error condition
`protected boolean` | `isFatal` Defines whether or not this is a fatal error condition

Constructor Summary
`SVGConverterException(String errorCode)`
`SVGConverterException(String errorCode, boolean isFatal)`
`SVGConverterException(String errorCode, Object[] errorInfo)`
`SVGConverterException(String errorCode, Object[] errorInfo, boolean isFatal)`

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`boolean` | `isFatal()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    protected String errorCode

  Error code

### errorInfo

    protected Object[] errorInfo

  Additional information about the error condition

### isFatal

    protected boolean isFatal

  Defines whether or not this is a fatal error condition

Constructor Detail

### SVGConverterException

    public SVGConverterException(String errorCode)

### SVGConverterException

    public SVGConverterException(String errorCode,
                                 Object[] errorInfo)

### SVGConverterException

    public SVGConverterException(String errorCode,
                                 Object[] errorInfo,
                                 boolean isFatal)

### SVGConverterException

    public SVGConverterException(String errorCode,
                                 boolean isFatal)

Method Detail

### isFatal

    public boolean isFatal()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getErrorCode

    public String getErrorCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.